Skip to main content
GET
/
cloud
/
v1
/
lbflavors
/
{project_id}
/
{region_id}
List load balancer flavors
curl --request GET \
  --url https://api.gcore.com/cloud/v1/lbflavors/{project_id}/{region_id} \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "flavor_id": "g2-standard-32-64",
      "flavor_name": "g2-standard-32-64",
      "ram": 2048,
      "vcpus": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

Query Parameters

include_prices
boolean
default:false

Set to true if the response should include flavor prices

Examples:

true

false

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
(LbFlavorSerializer · object | Optional price schema · object)[]
required

Objects